#!/usr/bin/ruby

#############################
# get word list
#############################
wordlist = Proc.new do
	lines = []
	entries = []

	dicfile = File.new($filename, "r")
		lines = dicfile.readlines
	dicfile.close

	dicfile = File.new($dicname, "w")

	lines.length.times do |num|
		entries = lines[num].split("	")

		s1 = 0

		if entries[-1].chomp == "_anthy_"
			entries[-1] = ""

			t1 = lines[num - 1].split("	")
			t2 = lines[num + 1].split("	")

			if t1[0] + t1[1] == entries[0] + entries[1]
				s1 = 1
			end

			if t2[0] + t2[1] == entries[0] + entries[1]
				s1 = 1
			end
		end


		if s1 == 0
			dicfile.puts entries[0] + "	" + \
				entries[2] + "	" + \
				entries[1] + "	" + \
				entries[3..-1].join("	")
		end
	end

	dicfile.close
end


#############################
# main
#############################
targetfiles = ARGV

if ARGV == []
	puts "Usage: ruby wordlist.rb [FILE]"
	exit
end

targetfiles.length.times do |i|
	$filename = targetfiles[i]
	$dicname = $filename + ".removed"
	wordlist.call
end
